- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalTextBlockStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalTextBlockStyle ()
| VSDOptionalTextBlockStyle (const boost::optional< double > &lm, const boost::optional< double > &rm, const boost::optional< double > &tm, const boost::optional< double > &bm, const boost::optional< unsigned char > &va, const boost::optional< bool > &isBgFilled, const boost::optional< Colour > &bgClr, const boost::optional< double > &defTab, const boost::optional< unsigned char > &td)
| VSDOptionalTextBlockStyle (const VSDOptionalTextBlockStyle &style)
| ~VSDOptionalTextBlockStyle ()
void | override (const VSDOptionalTextBlockStyle &style)

## Public Attributes
boost::optional< double > | leftMargin
boost::optional< double > | rightMargin
boost::optional< double > | topMargin
boost::optional< double > | bottomMargin
boost::optional< unsigned char > | verticalAlign
boost::optional< bool > | isTextBkgndFilled
boost::optional< Colour > | textBkgndColour
boost::optional< double > | defaultTabStop
boost::optional< unsigned char > | textDirection

## Constructor & Destructor Documentation

libvisio::VSDOptionalTextBlockStyle::VSDOptionalTextBlockStyle | ( |  | ) |
| inline

libvisio::VSDOptionalTextBlockStyle::VSDOptionalTextBlockStyle | ( | const boost::optional< double > & | lm,
|  | const boost::optional< double > & | rm,
|  | const boost::optional< double > & | tm,
|  | const boost::optional< double > & | bm,
|  | const boost::optional< unsigned char > & | va,
|  | const boost::optional< bool > & | isBgFilled,
|  | const boost::optional< Colour > & | bgClr,
|  | const boost::optional< double > & | defTab,
|  | const boost::optional< unsigned char > & | td
| ) |  |
| inline

libvisio::VSDOptionalTextBlockStyle::VSDOptionalTextBlockStyle | ( | const VSDOptionalTextBlockStyle & | style | ) |
| inline

libvisio::VSDOptionalTextBlockStyle::~VSDOptionalTextBlockStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDOptionalTextBlockStyle::override | ( | const VSDOptionalTextBlockStyle & | style | ) |
| inline

Referenced by libvisio::VSDStyles::getOptionalTextBlockStyle().

## Member Data Documentation

boost::optional<double> libvisio::VSDOptionalTextBlockStyle::bottomMargin

Referenced by override().

boost::optional<double> libvisio::VSDOptionalTextBlockStyle::defaultTabStop

Referenced by override().

boost::optional<bool> libvisio::VSDOptionalTextBlockStyle::isTextBkgndFilled

Referenced by override().

boost::optional<double> libvisio::VSDOptionalTextBlockStyle::leftMargin

Referenced by override().

boost::optional<double> libvisio::VSDOptionalTextBlockStyle::rightMargin

Referenced by override().

boost::optional<Colour> libvisio::VSDOptionalTextBlockStyle::textBkgndColour

Referenced by override().

boost::optional<unsigned char> libvisio::VSDOptionalTextBlockStyle::textDirection

Referenced by override().

boost::optional<double> libvisio::VSDOptionalTextBlockStyle::topMargin

Referenced by override().

boost::optional<unsigned char> libvisio::VSDOptionalTextBlockStyle::verticalAlign

Referenced by override().

The documentation for this struct was generated from the following file:

- VSDStyles.h